tigase.server.sreceiver

## Class TaskType

- java.lang.Object
- - tigase.server.sreceiver.TaskType

-     public class TaskType
      extends Object

  Describe class TaskType here. Created: Mon May 28 08:52:07 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskType(ReceiverTaskIfc task)` Creates a new `TaskType` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskCreationPolicy` | `getCreationPolicy()`
    `int` | `getInstancesNo()`
    `int` | `getMaxInstancesNo()`
    `ReceiverTaskIfc` | `getTaskInstance()`
    `ReceiverTaskIfc` | `getTaskType()`
    `void` | `instanceAdded()`
    `void` | `instanceRemoved()`
    `void` | `setCreationPolicy(TaskCreationPolicy policy)`
    `void` | `setMaxInstancesNo(int max_instances)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskType

          public TaskType(ReceiverTaskIfc task)

      Creates a new `TaskType` instance.
      Parameters:
        `task` -

  - ### Method Detail

    - #### getTaskType

          public ReceiverTaskIfc getTaskType()

    - #### getTaskInstance

          public ReceiverTaskIfc getTaskInstance()

    - #### instanceAdded

          public void instanceAdded()

    - #### instanceRemoved

          public void instanceRemoved()

    - #### getInstancesNo

          public int getInstancesNo()

    - #### getMaxInstancesNo

          public int getMaxInstancesNo()

    - #### setMaxInstancesNo

          public void setMaxInstancesNo(int max_instances)

    - #### getCreationPolicy

          public TaskCreationPolicy getCreationPolicy()

    - #### setCreationPolicy

          public void setCreationPolicy(TaskCreationPolicy policy)

Copyright © 2022 "Tigase, Inc.". All rights reserved.